Lead fields
Get lead fields
Returns the mapped standard lead fields and required custom lead field keys extracted from lead source nodes in the campaign flow.
GET
/v1/campaigns/{id}/lead-fieldsAuthorization
bearerAuth AuthorizationBearer <token>
Use an account API key in the Authorization header: Authorization: Bearer f_....
In: header
Path Parameters
idstring
Campaign id.
Format
uuidcurl -X GET "https://example.com/v1/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/lead-fields"{ "data": { "standard": [ "email", "first_name", "last_name" ], "custom": [ "company", "source" ] }}{ "error": { "type": "authentication_error", "code": "invalid_api_key", "message": "A valid Furnace API key is required" }}{ "error": { "type": "invalid_request_error", "code": "campaign_not_found", "message": "Campaign not found" }}{ "error": { "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "Rate limit exceeded for this account" }}{ "error": { "type": "api_error", "code": "internal_error", "message": "Internal server error" }}